ALSA project - the C library reference: /tmp/work/src/alsa-lib-1.2.12/src/mixer/simple_abst.c File Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
simple_abst.c File Reference

Mixer Simple Element Class Interface - Module Abstraction. More...

## Functions
int | snd_mixer_simple_basic_register (snd_mixer_t *mixer, struct snd_mixer_selem_regopt *options, snd_mixer_class_t **classp)
| Register mixer simple element class - basic abstraction.
int | snd_mixer_sbasic_info (const snd_mixer_class_t *class, sm_class_basic_t *info)
| Basic Mixer Abstraction - Get information about device.
void * | snd_mixer_sbasic_get_private (const snd_mixer_class_t *class)
| Get private data for basic abstraction.
void | snd_mixer_sbasic_set_private (const snd_mixer_class_t *class, void *private_data)
| Set private data for basic abstraction.
void | snd_mixer_sbasic_set_private_free (const snd_mixer_class_t *class, void(*private_free)(snd_mixer_class_t *class))
| Set private data free callback for basic abstraction.

## Detailed Description

Mixer Simple Element Class Interface - Module Abstraction.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2005

Mixer simple element class interface.

## Function Documentation

## ◆ snd_mixer_sbasic_get_private()

void * snd_mixer_sbasic_get_private | ( | const snd_mixer_class_t * | class | ) |

Get private data for basic abstraction.

Parameters

  class | Mixer class

Returns
  private data

## ◆ snd_mixer_sbasic_info()

int snd_mixer_sbasic_info | ( | const snd_mixer_class_t * | class,
|  | sm_class_basic_t * | info )

Basic Mixer Abstraction - Get information about device.

Parameters

  class | Mixer class
  info | Info structure

Returns
  0 on success otherwise a negative error code

## ◆ snd_mixer_sbasic_set_private()

void snd_mixer_sbasic_set_private | ( | const snd_mixer_class_t * | class,
|  | void * | private_data )

Set private data for basic abstraction.

Parameters

  class | Mixer class
  private_data | Private data

## ◆ snd_mixer_sbasic_set_private_free()

void snd_mixer_sbasic_set_private_free | ( | const snd_mixer_class_t * | class,
|  | void(* | private_free )(snd_mixer_class_t *class) )

Set private data free callback for basic abstraction.

Parameters

  class | Mixer class
  private_free | free callback for private data

## ◆ snd_mixer_simple_basic_register()

int snd_mixer_simple_basic_register | ( | snd_mixer_t * | mixer,
|  | struct snd_mixer_selem_regopt * | options,
|  | snd_mixer_class_t ** | classp )

Register mixer simple element class - basic abstraction.

Parameters

  mixer | Mixer handle
  options | Options container
  classp | Pointer to returned mixer simple element class handle (or NULL

Returns
  0 on success otherwise a negative error code